.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the QuadMesh.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_QuadMesh:

QuadMesh
========

**Inherits:** :ref:`PrimitiveMesh<class_primitivemesh>` **<** :ref:`Mesh<class_mesh>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Class representing a square mesh.

Member Variables
----------------

  .. _class_QuadMesh_size:

- :ref:`Vector2<class_vector2>` **size**


Description
-----------

Class representing a square mesh with size (2,2,0). Consider using a :ref:`PlaneMesh<class_planemesh>` if you require a differently sized plane.

